# Generated by Django 2.0.7 on 2018-09-16 20:19

import concurrency.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=250, unique=True, verbose_name='title')),
                ('created', models.DateTimeField(blank=True, default=None, null=True)),
                ('file', models.CharField(max_length=250, unique=True, verbose_name='file')),
                ('image', models.CharField(blank=True, default='', max_length=250, verbose_name='image')),
                ('language', models.CharField(choices=[('en', 'english'), ('it', 'italian')], default='en', max_length=2, verbose_name='language')),
                ('markup', models.CharField(choices=[('html', 'html'), ('markdown', 'markdown'), ('restructuredtext', 'restructuredtext')], default='restructuredtext', max_length=50, verbose_name='markup_language')),
                ('modified', models.DateTimeField(blank=True, default=None, null=True)),
                ('summary', models.CharField(blank=True, default='', max_length=2000, verbose_name='summary')),
                ('slug', models.SlugField(default=None, max_length=250, unique=True, verbose_name='slug')),
                ('atype', models.CharField(choices=[('article', 'article'), ('page', 'page')], default='article', max_length=50, verbose_name='type')),
                ('published', models.BooleanField(default=True, verbose_name='published')),
                ('offer_home', models.BooleanField(default=True, verbose_name='offer article for home')),
                ('hit', models.IntegerField(default=0, verbose_name='hit')),
                ('record_created', models.DateTimeField(auto_now_add=True)),
                ('record_modified', models.DateTimeField(auto_now=True)),
                ('version', concurrency.fields.IntegerVersionField(default=0, help_text='record revision number')),
            ],
            options={
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(blank=True, default=None, max_length=50, null=True, unique=True, verbose_name='name')),
                ('name', models.CharField(max_length=250, unique=True, verbose_name='name')),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True, verbose_name='name')),
            ],
            options={
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.AddField(
            model_name='article',
            name='authors',
            field=models.ManyToManyField(blank=True, default=None, related_name='wrote', to='rstblog.Author', verbose_name='authors'),
        ),
        migrations.AddField(
            model_name='article',
            name='category',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.SET_DEFAULT, to='rstblog.Category'),
        ),
        migrations.AddField(
            model_name='article',
            name='translation_of',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_DEFAULT, related_name='translated_by', to='rstblog.Article', verbose_name='translation_of'),
        ),
    ]
